Set a Deployment's resource metadata
- POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/metadata/raw
Advanced use only. Sets the internal metadata, in free-form JSON, for the resource. Only use the parameter to set the modified JSON that is returned from the get version of the metadata.
Responses
The metadata is invalid. (code: deployments.invalid_metadata)
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
Please retry. (code: deployments.metadata_internal_error)